[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Orgmode] Re: IMPORTANT: (possibly) incompatible Change

From: Mark Elston
Subject: Re: [Orgmode] Re: IMPORTANT: (possibly) incompatible Change
Date: Sat, 03 Apr 2010 16:25:18 -0700
User-agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv: Gecko/20100317 Thunderbird/3.0.4


On 4/3/2010 3:57 PM, Carsten Dominik wrote:

On Apr 3, 2010, at 8:49 PM, Mark Elston wrote:


Is there a way to *remove* one or more of the packages in
org-export-latex-default-packages-alist? I find that marvosym
is conflicting with one of the packages I use in my notes and
handouts that I generate from org-mode. (marvosym and bbding
both provide a Cross - I don't use that symbol but it interferes
with latex processing to have them both defined)

Hi Mark,

if you read the docstring of that variable, you will see
that you can do this for exactly this kine of problem. Just remove
it, and the do not use symbols from this oackage.

Yeah, it also says "DON'T CHANGE THIS.  Unless abslutely necessary
that is."

I get a little nervous about changing something with that kind of
warning.. :)

Does anyone know why marvosym is included in this list?  I assume
that there is latex code being generated (under some circumstances)
that require it, but I don't know what those circumstances are...

I suppose a way to remove one or more packages in *specific*
export classes would be ideal...

You can do this yourself using a hook.

Or, I suppose, I can change my class to not use the conflicting
class...  This seems easier :)

I just did that and will see if the results are acceptable...

Thanks for all the work on this.  It is a really great tool for my
purposes (and a lot of other as well).


reply via email to

[Prev in Thread] Current Thread [Next in Thread]